System.ServiceModel 4.0.0.0 System.Collections.ObjectModel.Collection<System.ServiceModel.Description.ServiceEndpoint> System.ServiceModel.Description.ServiceEndpoint

This collection of endpoints for a service is used by the metadata API to manage services with multiple endpoints. is returned, for example, by the property and by the method when creating service endpoints from WSDL port types.

The collection provides the functionality to the endpoints of a particular type, that have a specific name or address, or to of the endpoints for a service that meet a specified contract type or name criteria.

A collection that contains the endpoints for a service.

- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpoint `` To be added.

  This overload is specific to the indigo1 programming model. It looks at the property for each endpoint. The may be null if the was not created from the indigo2 programming model (types with *Contract attributes).

  There are potentially multiple endpoints that could satisfy the criteria. The method returns the first one encountered in the collection. If you need to find all of the objects that satisfy the specified criteria, use one of the methods instead.

  Returns the first service endpoint found that satisfies the specified contract type from the collection of service endpoints.

  The first of the specified contract type or null if none was found.

- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpoint `` To be added.

  There are potentially multiple endpoints that could satisfy the criteria. The method returns the first one encountered in the collection. If you need to find all of the objects that satisfy the specified criteria, use one of the methods instead.

  Returns a service endpoint with a specified address from the collection of service endpoints.

  The first of the specified address or null if none was found.

- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpoint `` To be added.

  There are potentially multiple endpoints that could satisfy the criteria. The method returns the first one encountered in the collection. If you need to find all of the objects that satisfy the specified criteria, use one of the methods instead.

  Returns a service endpoint with a specified namespace and contract name from the collection of service endpoints.

  The first with the specified namespace and contract name or null if none was found.

- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpoint `` ``

  There are potentially multiple endpoints that could satisfy the criteria. The method returns the first one encountered in the collection. If you need to find all of the objects that satisfy the specified criteria, use one of the methods instead.

  Returns a service endpoint of a specified contract type and with a specified binding name and namespace from the collection of service endpoints.

  The first of the specified contract type and binding name and namespace or null if none was found.

  The of contract for the service endpoint. The for the binding of the service.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpoint `` ``

  There are potentially multiple endpoints that could satisfy the criteria. The method returns the first one encountered in the collection. If you need to find all of the objects that satisfy the specified criteria, use one of the methods instead.

  Returns the first service endpoint with the specified contract name and namespace and binding name and namespace from the collection of service endpoints.

  The first with the specified binding and contract names and namespaces.

  The for the contract of the service. The for the binding of the service.
- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Description.ServiceEndpoint> ``

  If you only need to find the first that satisfies the specified criteria, use one of the methods instead.

  Returns a collection of all the service endpoints for a specified type of service.

  The of type that contains service endpoints of the specified type or the empty collection if none is found.

  The of contract for the service endpoint.
- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Description.ServiceEndpoint> `` To be added.

  If you only need to find the first that satisfies the specified criteria, use one of the methods instead.

  Returns a collection of all the service endpoints for a specified service name.

  The of type that contains service endpoints with the specified contract name and namespace or the empty collection if none is found.

- Method
  4.0.0.0
  System.Void `` ``

  This method overrides the virtual method defined in the base class and is provided to do input validation that ensures null values are not inserted into the collection. It is not intended to be called by users.

  Inserts an item into the collection at the specified index.

  The zero-based index at which the item should be inserted. The item to insert at the specified .
- Method
  4.0.0.0
  System.Void `` ``

  This method overrides the virtual method defined in the base class and is provided to do input validation that ensures null values are not inserted into the collection. It is not intended to be called by users.

  Replaces the element in the collection at the specified index.

  The zero-based index of the element to replace. The new value for item at the specified .